<solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                (backToDetailChange)="backToDetail()"
                                (deleteChange)="delete()"
                                (editChange)="edit()"
                                (showHistoryChange)="showHistory()"
                                *ngIf="(currentObs | async) as order"
                                [currentModel]="currentObs | async"
                                [editAvailable]="order.status !== orderStatusEnum.READY"
                                [formPresentational]="formPresentational"
                                [historyAvailable]="true"
                                [listExtraButtons]="listExtraButtons"
                                [mode]="isEdit ? 'edit' : 'detail'"
>
</solidify-button-toolbar-detail>

<div [solidifySpinner]="(isLoadingWithDependencyObs | async)"
     class="wrapper"
>
  <dlcm-order-all-order-form #formPresentational
                             (checkAvailableChange)="checkAvailable($event)"
                             (dirtyChange)="updateCanDeactivate($event)"
                             (editChange)="edit()"
                             (submitChange)="update($event)"
                             *ngIf="isReadyToBeDisplayedObs | async"
                             [editAvailable]="editAvailable"
                             [model]="currentObs | async"
                             [readonly]="!isEdit"
                             [listOptionsDisseminationPolicy]="listOptionsDisseminationPolicy"
  >
  </dlcm-order-all-order-form>

  <ng-template [ngIf]="(isReadyToBeDisplayedObs | async) && !isEdit">
    <div *ngIf="(currentObs | async)?.status === orderStatusEnum.IN_PROGRESS"
         [solidifySpinnerDiameter]="40"
         [solidifySpinner]="(isLoadingOrderArchivesObs | async)"
         class="sub-wrapper"
    >
      <h2>{{'order.allOrder.section.matchingAIPs' | translate}}</h2>
      <mat-list>
        <mat-list-item *ngFor="let orderArchive of (listOrderArchivesObs | async)">
          <ng-template [ngIfElse]="metadata"
                       [ngIf]="orderArchive.archive | isNullOrUndefined"
          >
            <a (click)="goToAip(orderArchive.metadata.resId)">
              {{metadataUtil.getTitle(orderArchive.metadata.metadata)}}
            </a>
          </ng-template>
          <ng-template #metadata>
            <a (click)="goToAip(orderArchive.archive.resId)">{{orderArchive.archive.info.name}}</a>
          </ng-template>
        </mat-list-item>
      </mat-list>
      <solidify-paginator (pageChange)="pageChangeMatchingArchives($event)"
                          [pagingModel]="(queryParametersOrderArchivesObs | async).paging"
                          class="paginator"
      >
      </solidify-paginator>
    </div>

    <div [solidifySpinnerDiameter]="40"
         [solidifySpinner]="(isLoadingAipObs | async)"
         class="sub-wrapper"
    >
      <h2>{{'order.allOrder.section.selectedAIPs' | translate}}</h2>
      <mat-list>
        <mat-list-item *ngFor="let aip of (listAipObs | async)">
          <span><a (click)="goToAipDownloaded(aip)">{{aip.info.name}}</a> -
            {{enumUtil.getLabel(accessLevelEnumTranslate, aip.info.currentAccess) | translate}}</span>
        </mat-list-item>
      </mat-list>
      <solidify-paginator (pageChange)="pageChangeAipsSelected($event)"
                          [pagingModel]="(queryParametersAipObs | async).paging"
                          class="paginator"
      >
      </solidify-paginator>
    </div>

    <div *ngIf="(currentObs | async)?.dipNumber !== 0"
         [solidifySpinnerDiameter]="40"
         [solidifySpinner]="(isLoadingDipObs | async)"
         class="sub-wrapper"
    >
      <h2>{{'order.allOrder.section.availableDIPs' | translate}}</h2>
      <mat-list>
        <mat-list-item *ngFor="let dip of (listDipObs | async)">
          <span><a (click)="goToDip(dip)">{{dip.info.name}}</a> -
            {{enumUtil.getLabel(accessLevelEnumTranslate, dip.info.currentAccess) | translate}}</span>
        </mat-list-item>
      </mat-list>
      <solidify-paginator (pageChange)="pageChangeDipsAvailable($event)"
                          [pagingModel]="(queryParametersDipObs | async).paging"
                          class="paginator"
      >
      </solidify-paginator>
    </div>
  </ng-template>
</div>

